Name:		ipplan
Version:	4.92
Release:	4.a%{?dist}
Summary:	Web-based IP address manager and tracker
Group:		Applications/Internet
License:	GPLv2+
URL:		http://iptrack.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/iptrack/ipplan-%{version}a.tar.gz
Source1:	%{name}-mysql.sql
Source2:	%{name}-pgsql.sql
Source3:	README.%{name}
# Fedora specific patches to use libraries shipped with fedora
Patch1:		ipplan-set-menus-path.patch
Patch2:		ipplan-set-adodb-path.patch
Patch3:		ipplan-use-qmagic.patch
Patch4:		ipplan-set-phpmailer-path.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	php, httpd
Requires:	php-gettext, php-snmp
Requires:	php-layers-menu, php-adodb, php-PHPMailer

%description
IPplan is an administrative tool for ISPs and network service companies.
It goes beyond IP address management to provide DNS administration,
configuration file management, circuit management and storing of hardware
information, all customizable via templates. IPplan can handle a single
network or cater for multiple networks and customers with overlapping address
space. Making managing IP addresses and address spaces simple and easy.
It is written in PHP and requires a MySQL or PostgresSQL database.

%prep
%setup -q -n %{name}
find . -name '*.rej' -delete
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

find . -name README.html -delete
find . -type f -print0 | xargs -0 sed -i 's/\r//'
sed -i -e "s/\(\.*\"UPLOADDIRECTORY\"[^'\"]*['\"]\)[^'\"]*\(['\"].*\)/\1\/var\/cache\/ipplan\2/" config.php
sed -i 's|/tmp/|%{_tmppath}/%{name}/|' config.php
find . -type f -exec chmod a-x {} \;
#remove bundled phplayersmenu
rm -rf menus/
sed -i 's:/usr/local:/usr:' contrib/*.{pl,php}
mkdir sql
cp -p %SOURCE1 %SOURCE2 sql
cp %SOURCE3 %{name}-README.fedora
#remove bundled adodb
rm -rf adodb/
#remove bundled phpMailer
rm -f class.smtp.php class.phpmailer.php phpmailer.lang-en.php
cat <<EOF >%{name}.conf
# %{name}
# %{summary}
# %{version}a
#
Alias /%{name} %{_datadir}/%{name}
Alias /menus %{_datadir}/php/php-layers-menu

<Directory %{_datadir}/%{name}>
	Options +FollowSymLinks
	AllowOverride Limit Options FileInfo
</Directory>

<Directory %{_sysconfdir}/%{name}>
	Order Deny,Allow
	Deny from all
</Directory>

<DirectoryMatch "^%{_datadir}/%{name}/(.*/)?(adodb|templates)/(.*)?">
	Order Deny,Allow
	Deny from all
</DirectoryMatch>
EOF

%build

%install
rm -rf $RPM_BUILD_ROOT
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}/admin
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}/images
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}/layout
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}/templates
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}/themes
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}/user
install -p -d $RPM_BUILD_ROOT%{_datadir}/%{name}/locale
install -p -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -p -d $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}
cp -pr admin/* $RPM_BUILD_ROOT%{_datadir}/%{name}/admin
cp -pr images/* $RPM_BUILD_ROOT%{_datadir}/%{name}/images
cp -pr layout/* $RPM_BUILD_ROOT%{_datadir}/%{name}/layout
cp -pr templates/* $RPM_BUILD_ROOT%{_datadir}/%{name}/templates
cp -pr themes/* $RPM_BUILD_ROOT%{_datadir}/%{name}/themes
cp -pr user/* $RPM_BUILD_ROOT%{_datadir}/%{name}/user
cp -pr locale/* $RPM_BUILD_ROOT%{_datadir}/%{name}/locale
install -p -D -m0644 *.php $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -D -m0644 config.php $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/config.php
install -p -D -m0644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
install -p -D -m0644 *.html $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -D -m0644 *.js $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -D -m0644 *.css $RPM_BUILD_ROOT%{_datadir}/%{name}/
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -fs ../../..%{_sysconfdir}/%{name}/config.php .
popd

for lang in locale/*; do
	mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/`basename $lang`/LC_MESSAGES
	mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/locale/`basename $lang`/LC_MESSAGES
	if [ -f $lang/LC_MESSAGES/*.mo ]; then
		for file in $lang/LC_MESSAGES/*.mo; do
			rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/locale/`basename $lang`/LC_MESSAGES/`basename $file`
			cp -a $file $RPM_BUILD_ROOT%{_datadir}/locale/`basename $lang`/LC_MESSAGES/%{name}.mo
			pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/locale/`basename $lang`/LC_MESSAGES
			ln -fs ../../../../locale/`basename $lang`/LC_MESSAGES/%{name}.mo messages.mo
			popd
		done
	fi
done
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc gpl.html %{name}-README.fedora contrib PORTERS INTERNALS CONTRIBUTORS INSTALL-POSTGRESQL TODO TRANSLATIONS TRIGGERS UPGRADE sql
%dir %{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(0700,apache,apache) %dir %{_localstatedir}/cache/%{name}
%{_datadir}/%{name}/*

%changelog
* Tue Jan 18 2011 Andrew Colin Kissa <andrew@topdog.za.net> - 4.92-4.a
- Upgrade to latest upstream
- Fix bugzilla #663897

* Mon Aug 24 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 4.92-3
- Remove unnessesary dependency on /sbin/service

* Sun Aug 23 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 4.92-2
- Use Fedora bundled php-PHPMailer
- Fix License tag
- Remove apache restart
- Remove in spec password generation

* Fri Aug 14 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 4.92-1
- Update to version 4.92

* Mon Jul 27 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 4.91-3.a
- Use Packaged HTML_Template_PHPLIB

* Thu Jul 23 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 4.91-2.a
- Made changes to use fedora supplied libraries

* Sat Jul 11 2009 Andrew Colin Kissa <andrew@topdog-software.com> - 4.91-1.a
- Initial packaging
